Bug 1288627 - python3-cairocffi does not pull in python3-cffi as a dependency
python3-cairocffi does not pull in python3-cffi as a dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-cairocffi (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 14:21 EST by Gianluca Sforna
Modified: 2016-02-26 14:25 EST (History)
3 users (show)

See Also:
Fixed In Version: python-cairocffi-0.6-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-25 21:40:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca Sforna 2015-12-04 14:21:16 EST
installation of python3-cairocffi does not provide a working package as in:

$ python3
Python 3.4.3 (default, Jun 29 2015, 12:16:01) 
[GCC 5.1.1 20150618 (Red Hat 5.1.1-4)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import cairocffi
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python3.4/site-packages/cairocffi/__init__.py", line 14, in <module>
    from cffi import FFI
ImportError: No module named 'cffi'
Comment 1 John Dulaney 2016-02-08 11:47:18 EST
I am now a comaintainer of this package, and will be addressing this.
Comment 2 John Dulaney 2016-02-08 12:10:32 EST
By chance, what version are you on?  In 0.7.2, python3-cffi is required by python3-cairocffi.
Comment 3 Gianluca Sforna 2016-02-09 03:52:50 EST
Yep. I noticed 0.7.x is ok, but f23 right now pulls in 0.6-3, which exhibit the issue. 

I am not sure how compatible they are, that is, if it's better to make a 0.6-4 or pull in the 0.7 package in f23.
Comment 4 John Dulaney 2016-02-09 14:24:34 EST
Okay, I will add the requires to 0.6.
Comment 5 Fedora Update System 2016-02-09 15:12:36 EST
python-cairocffi-0.6-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94b71a6db
Comment 6 John Dulaney 2016-02-10 11:51:43 EST
Do you mind giving the new build a quick test, and if it works, positive karma in Bodhi?
Comment 7 Fedora Update System 2016-02-10 13:51:18 EST
python-cairocffi-0.6-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94b71a6db
Comment 8 Gianluca Sforna 2016-02-11 05:44:59 EST
Works. Thank you very much
Comment 9 Fedora Update System 2016-02-26 14:25:23 EST
python-cairocffi-0.6-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.